package types

type AddCommentRequest struct {
	Comment string `json:"comment"`
	URL     string `json:"url"`
	UserID  string `json:"user_id"`
}

type Comment struct {
	ID        string `json:"id"`
	Content   string `json:"content"`
	Commenter string `json:"commenter"`
	Username  string `json:"username"`
	Avatar    string `json:"avatar"`
	Upvotes   int    `json:"upvotes"`
	Downvotes int    `json:"downvotes"`
	ParentID  string `json:"parent_id"`
	WebpageID string `json:"webpage_id"`
	CreatedAt string `json:"created_at"`
}
